aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2014-04-05 19:07:36 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2014-04-05 19:07:36 -0700
commit44c344ca5145212a6e4718b7a9ff66a4d75047a5 (patch)
tree31377012a1a4f4be84a633085158b0749b1e527e
parentFix install with kernel outputdir. (diff)
downloadgenkernel-44c344ca5145212a6e4718b7a9ff66a4d75047a5.tar.gz
genkernel-44c344ca5145212a6e4718b7a9ff66a4d75047a5.tar.bz2
genkernel-44c344ca5145212a6e4718b7a9ff66a4d75047a5.zip
Working on having ebuilds that fire genkernel for repeatable builds.
Signed-off-by: Robin H. Johnson <robbat2@gentoo.org>
-rwxr-xr-xgen_compile.sh9
-rwxr-xr-xgen_initramfs.sh2
2 files changed, 9 insertions, 2 deletions
diff --git a/gen_compile.sh b/gen_compile.sh
index f10aa04..f0f8fee 100755
--- a/gen_compile.sh
+++ b/gen_compile.sh
@@ -345,6 +345,7 @@ compile_kernel() {
# if source != outputdir, we need this:
tmp_kernel_binary="${KERNEL_OUTPUTDIR}"/"${tmp_kernel_binary}"
tmp_kernel_binary2="${KERNEL_OUTPUTDIR}"/"${tmp_kernel_binary2}"
+ systemmap="${KERNEL_OUTPUTDIR}"/System.map
if isTrue "${CMD_INSTALL}"
then
@@ -365,7 +366,7 @@ compile_kernel() {
else
cp "${tmp_kernel_binary}" "${TMPDIR}/kernel-${KNAME}-${ARCH}-${KV}" ||
gen_die "Could not copy the kernel binary to ${TMPDIR}!"
- cp "System.map" "${TMPDIR}/System.map-${KNAME}-${ARCH}-${KV}" ||
+ cp "${systemmap}" "${TMPDIR}/System.map-${KNAME}-${ARCH}-${KV}" ||
gen_die "Could not copy System.map to ${TMPDIR}!"
if isTrue "${GENZIMAGE}"
then
@@ -469,11 +470,17 @@ compile_lvm() {
print_info 1 'lvm: >> Compiling...'
compile_generic '' utils
compile_generic "install DESTDIR=${TEMP}/lvm/" utils
+ echo "Finding static"
+ find ${TEMP}/lvm -name '*static'
+ echo "Done finding static"
cd "${TEMP}/lvm"
+ mkdir -p "${TEMP}/lvm/sbin"
print_info 1 ' >> Copying to bincache...'
+ pwd
${UTILS_CROSS_COMPILE}strip "sbin/lvm.static" ||
gen_die 'Could not strip lvm.static!'
+ exit 99
# See bug 382555
${UTILS_CROSS_COMPILE}strip "sbin/dmsetup.static" ||
gen_die 'Could not strip dmsetup.static'
diff --git a/gen_initramfs.sh b/gen_initramfs.sh
index 26bcdf6..5ac9ac1 100755
--- a/gen_initramfs.sh
+++ b/gen_initramfs.sh
@@ -349,7 +349,7 @@ append_lvm(){
fi
else
print_info 1 ' LVM: Adding support (compiling binaries)...'
- compile_lvm
+ compile_lvm || gen_die "Could not compile LVM"
/bin/tar -jxpf "${LVM_BINCACHE}" -C "${TEMP}/initramfs-lvm-temp" ||
gen_die "Could not extract lvm binary cache!";
mv ${TEMP}/initramfs-lvm-temp/sbin/lvm.static ${TEMP}/initramfs-lvm-temp/bin/lvm ||